/*
 *     Implementation by Szymon Ksiazek <szymonh20@poczta.fm>
 *
 *     Copyright (C) 2006-9 by the HeKatE Project
 *
 *     HJEd has been develped within the HeKatE Project, 
 *     see http://hekate.ia.agh.edu.pl
 *
 *     This file is part of HJEd.
 *
 *     HJEd is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HJEd is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HJEd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package pl.edu.agh.hekate.ard;

/**
 * Class that represents transform
 * 
 * @author Szymon Książek
 *
 */
public class Transform 
{
	/**
	 * Source property of transform
	 */
	private Property source = null;
	
	/**
	 * Destiny property of transform
	 */
	private Property destiny = null;
	
	/**
	 * Constructor
	 * 
	 * @param source  source property of transform
	 * @param destiny destiny property of transform
	 */
	public Transform(Property source, Property destiny)
	{
		this.source = source;
		this.destiny = destiny;
	}
	
	
	/**
	 * Returns transform source property
	 * 
	 * @return	transform source property
	 */
	public Property getSource() 
	{
		return source;
	}

	
	/**
	 * Sets transform source property
	 * 
	 * @param source	new transform source property
	 */
	public void setSource(Property source) 
	{
		this.source = source;
	}

	
	/**
	 * Returns transform destiny property
	 * 
	 * @return	transform destiny property
	 */
	public Property getDestiny() 
	{
		return destiny;
	}

	
	/**
	 * Sets transform destiny property
	 * 
	 * @param source	new transform destiny property
	 */
	public void setDestiny(Property destiny) 
	{
		this.destiny = destiny;
	}
}
