/*
 *     Implementation by Szymon Ksiazek <szymonh20@poczta.fm>
 *
 *     Copyright (C) 2006-9 by the HeKatE Project
 *
 *     HJEd has been develped within the HeKatE Project, 
 *     see http://hekate.ia.agh.edu.pl
 *
 *     This file is part of HJEd.
 *
 *     HJEd is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HJEd is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HJEd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package pl.edu.agh.hekate.ard.actions;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Action that is responsible for closing application dialog
 * 
 * @author Szymon Książek
 *
 */
public class CloseWindowAction extends WindowAdapter
{
	/**
	 * Exit action instance
	 */
	private ExitAction exitAction = null;
	
	/**
	 * Constructor
	 * 
	 * @param exitAction	exit action instance
	 */
	public CloseWindowAction(ExitAction exitAction)
	{
		this.exitAction = exitAction;
	}
	
	public void windowClosing(WindowEvent e)
	{
		exitAction.actionPerformed(null);
	}
}