/*
 *     Implementation by Szymon Ksiazek <szymonh20@poczta.fm>
 *
 *     Copyright (C) 2006-9 by the HeKatE Project
 *
 *     HJEd has been develped within the HeKatE Project, 
 *     see http://hekate.ia.agh.edu.pl
 *
 *     This file is part of HJEd.
 *
 *     HJEd is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HJEd is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HJEd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package pl.edu.agh.hekate.ard.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.Icon;

import pl.edu.agh.hekate.ard.CompositionType;
import pl.edu.agh.hekate.ard.MainFrame;

/**
 * Action that is responsible for change composition type of application
 * 
 * @author Szymon Książek
 *
 */
public class CompositionTypeChangeAction extends AbstractAction
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Reference to main frame of application
	 */
	private MainFrame mainFrame;
	
	/**
	 * Constructor
	 * 
	 * @param name				name of action
	 * @param icon				icon of action
	 * @param compositionType	composition type that is set by action
	 * @param mainFrame			reference to main frame of application
	 */
	public CompositionTypeChangeAction(String name, Icon icon, CompositionType compositionType, MainFrame mainFrame)
	{
		this.mainFrame = mainFrame;
		
		putValue(Action.NAME, name);
		putValue(Action.SMALL_ICON, icon);
		putValue(Action.SHORT_DESCRIPTION, name);
		putValue("CompositionType", compositionType);
	}
	
	public void actionPerformed(ActionEvent event)
	{
		CompositionType compositionType = (CompositionType)getValue("CompositionType");
		mainFrame.changeCompositionType(compositionType);
	}
}