/*
 *     Implementation by Szymon Ksiazek <szymonh20@poczta.fm>
 *
 *     Copyright (C) 2006-9 by the HeKatE Project
 *
 *     HJEd has been develped within the HeKatE Project, 
 *     see http://hekate.ia.agh.edu.pl
 *
 *     This file is part of HJEd.
 *
 *     HJEd is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     HJEd is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with HJEd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package pl.edu.agh.hekate.ard.dialogs;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

/**
 * Dialog that shows information about application
 * 
 * @author Szymon Książek
 *
 */
public class AboutEditorDialog extends JPanel
{
	private static final long serialVersionUID = 1L;

	/**
	 * dialog window reference
	 */
	private JDialog dialog;
	
	/**
	 * confirm button presented on dialog
	 */
	private JButton OKButton;
	
	
	/**
	 * Constructor
	 */
	public AboutEditorDialog()
	{		
		setLayout(new BorderLayout());
		
		JPanel contentPanel = new JPanel();
		
		contentPanel.setLayout(new BorderLayout());
		
		String helpContent = "<html>";
		
		helpContent += "HJed editor; version $Revision: 1.2 $";
		helpContent += "<br/><br/>";
		helpContent += "Implementation by Szymon Ksiazek - szymonh20@poczta.fm";
		helpContent += "<br/><br/>";
		helpContent += "Copyright (C) 2006-9 by the HeKatE Project";
		helpContent += "<br/><br/>";
		helpContent += "HJEd has been develped within the HeKatE Project,";
		helpContent += "<br/>";
		helpContent += "see http://hekate.ia.agh.edu.pl";
		helpContent += "<br/><br/>";
		helpContent += "HJEd is free software: you can redistribute it and/or modify";
		helpContent += "<br/>";
		helpContent += "it under the terms of the GNU General Public License as published by";
		helpContent += "<br/>";
		helpContent += "the Free Software Foundation, either version 3 of the License, or";
		helpContent += "<br/>";
		helpContent += "(at your option) any later version";
		helpContent += "<br/><br/>";
		helpContent += "HJEd is distributed in the hope that it will be useful,";
		helpContent += "<br/>";
		helpContent += "but WITHOUT ANY WARRANTY; without even the implied warranty of";
		helpContent += "<br/>";
		helpContent += "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the";
		helpContent += "<br/>";
		helpContent += "GNU General Public License for more details.";
		helpContent += "<br/><br/>";
		helpContent += "You should have received a copy of the GNU General Public License";
		helpContent += "<br/>";
		helpContent += "along with HJEd.  If not, see http://www.gnu.org/licenses/.";
		helpContent += "</html>";
		
		JLabel infoLabel = new JLabel(helpContent);
		
		infoLabel.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(10, 15, 10, 15), BorderFactory.createCompoundBorder(BorderFactory.createTitledBorder("About ARD Editor"), BorderFactory.createEmptyBorder(10, 15, 10, 15))));
		
		contentPanel.add(infoLabel, BorderLayout.CENTER);
		
		add(contentPanel, BorderLayout.CENTER);
		
		JPanel buttonsPanel = new JPanel();
		
		OKButton = new JButton("OK");
		
		OKButton.addActionListener(new
			ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					dialog.setVisible(false);
				}
			});
		
		buttonsPanel.add(OKButton);
		
		add(buttonsPanel, BorderLayout.SOUTH);	
	}
	
	
	public void showDialog(String title)
	{
		dialog = new JDialog(new JFrame(), title, true);
		
		int screenWidth = (int)Toolkit.getDefaultToolkit().getScreenSize().getWidth();
		int screenHeight = (int)Toolkit.getDefaultToolkit().getScreenSize().getHeight();
		
		dialog.getContentPane().add(this);
		
		dialog.pack();
		
		dialog.setLocation((int)(screenWidth - dialog.getSize().getWidth()) / 2, (int)(screenHeight - dialog.getSize().getHeight()) / 2);
		
		dialog.setResizable(false);
		
		dialog.setVisible(true);
	}
}